# bind a key to reload tmux config
unbind r
bind r source-file ~/.tmux.conf

# change the leader key
set -g prefix C-s 

# Options to make tmux more pleasant
set -g mouse on
set -g default-terminal "tmux-256color"
set -g base-index 1
set -g pane-base-index 1
set -g renumber-windows on
set -g status-position top

unbind = 
bind = select-layout -E

# using vim motions
bind-key h select-pane -L
bind-key j select-pane -D
bind-key k select-pane -U
bind-key l select-pane -R

# resize panes
bind -r H resize-pane -L
bind -r J resize-pane -D
bind -r K resize-pane -U
bind -r L resize-pane -R

# Split panes in the same directory
bind '"' split-window -v -c "#{pane_current_path}"
bind % split-window -h -c "#{pane_current_path}"

# New window in same directory
bind c new-window -c "#{pane_current_path}"

# Shared Rider palette overrides
source-file ~/.config/rider-palette/tmux.conf
